# frozen_string_literal: true

class SaveSopraLogJob < ActiveJob::Base
 
  queue_as :xsopraloglow
  unique :until_executed
  
  def perform(classname, id, xml_sopra_error_ids)
    instance = classname.constantize.find(id)
    instance.set(xml_sopra_error_ids: JSON.parse(xml_sopra_error_ids), last_send_has_error: true, updated_at: DateTime.current)
  end
end
