# frozen_string_literal: true

module Hermes
  class HousingRequestEntityFormLevel
    include Hermes::Concerns::CommonFieldsConcern

    writer_roles 'Superadmin', 'Administrator', 'entreprise'
    reader_roles 'Manager', 'demandeur'
    owner_field :user_id

    field :level, type: Integer
    field :description, type: String
    field :consent_fields, type: Array, default: []
    field :delegation, type: Boolean, default: false

    belongs_to :entity, class_name: 'Hermes::Entity', foreign_key: :entity_id, index: true

    common_indexes *%i[
      level
      description
      consent_fields
      delegation
    ]
  end
end