module Hermes
  module BoClient
    module AttributesHelper

      def self.alias_attribute new, old
        alias_method new, old
        alias_method "#{new}=", "#{old}="
      end

      def process_attributes(attrs)
        attrs||={}
        attrs.each_pair do |key, value|
          process_attribute(key, value)
        end
      end

      def process_attribute(name, value)
        send("#{name}=", value) if respond_to?("#{name}=", true)
      end

    end
  end
end