# frozen_string_literal: true

require 'faker'

FactoryBot.define do
  factory :entity, class: Hermes::Entity do
    title { Faker::Company.catch_phrase }
    available_points { 100 }
    annual_stock {8500}

    after(:create) do |entity|
      admins = (entity.readers + entity.writers).map { |read_id| User.find(read_id) }.compact.select { |user| user.has_roles?('Administrator', 'entreprise') }
      admins.each do |admin|
        Hermes::UserRight.find_or_create_by!(user_id: admins.first.id, entity_id: entity.id, right: 'administrator', type: 'entity')
      end
    end
  end
end
